# -*- coding: utf-8 -*-

import json
import urllib2


EXCHANGE_HOST = 'http://178.237.176.172:8090/'
#EXCHANGE_HOST = 'http://127.0.0.1:8090/'


class ExchangeTorrentInfo:
    def __init__(self):
        pass

    def communicate(self, data):
        req = urllib2.Request(EXCHANGE_HOST, json.dumps(data), {'Content-Type': 'application/json'})
        try:
            return urllib2.urlopen(req, timeout=1).read()
        except:
            return None

    def get_info(self, t_id_list):
        return json.loads(self.communicate({'cmd': 'get_info', 'data': t_id_list}))

    def set_info(self, t_id, torrent_info):
        return self.communicate({'cmd': 'set_info', 't_id': t_id, 'torrent_info': torrent_info})


def test1():
    eti = ExchangeTorrentInfo()
    eti.set_info('test1', {'test2': 'test3'})
    print eti.get_info(['test1'])


if __name__ == '__main__':
    test1()
